#397 Mysql error - deprecated function

Latest_version
open
nobody
None
5
2014-06-27
2014-02-13
jherbold
No

Simple Groupware version: e.g. 0.743
Simple Groupware language: e.g. English
PHP Version: e.g. PHP 5.5.3+dfsg-1ubuntu2.1
Database + Version: e.g. Mysql 5.5.35-0ubuntu0.13.10.2
Server OS: e.g. Linux Mint 16 Petra
Webserver: e.g. Apache 2.4.6-2ubuntu2.1
Used webbrowser + Version: e.g. Firefox 27.0 For Linux Mint version 1.0
Your role: e.g. installer and administrator/user

My problem is ... error encountered (Quoted here)-

Error: SyntaxError: JSON.parse: unexpected character

Php 8192: 02/13/14 2:17:34 am mysql_pconnect(): The mysql extension is deprecated and will be removed in the future: use
mysqli or PDO instead /var/www/bin/core/functions.php 2076

false

folder_has_changed

{}

It can be reproduced on a new installation by doing ...just about anything
I've expected it to work like this: ...correctly handle mysql commands

Discussion

  • jherbold
    jherbold
    2014-02-13

    I noticed the 0.743 I had just downloaded from sourceforge was not the latest. Found and loaded 0.745 - same error except in line 2077.

     
  • You can try downgrading your php to 5.3, it's working on our installments with that on it.
    until the next version comes out, we don't have a workaround yet